org.apache.storm.utils

## Class DefaultShellLogHandler

- java.lang.Object
- - org.apache.storm.utils.DefaultShellLogHandler

- All Implemented Interfaces:
    ShellLogHandler

      public class DefaultShellLogHandler
      extends Object
      implements ShellLogHandler

  Default implementation of `ShellLogHandler`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultShellLogHandler()` Default constructor; used when loading with Class.forName(…).newInstance().

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `log(ShellMsg shellMsg)` Log the given message.
    `void` | `setUpContext(Class<?> ownerCls, ShellProcess process, TopologyContext context)` This default implementation saves the `ShellProcess` so it can output the process info string later.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultShellLogHandler

          public DefaultShellLogHandler()

      Default constructor; used when loading with Class.forName(…).newInstance().

  - ### Method Detail

    - #### setUpContext

          public void setUpContext(Class<?> ownerCls,
                                   ShellProcess process,
                                   TopologyContext context)

      This default implementation saves the `ShellProcess` so it can output the process info string later.

      Specified by:
        `setUpContext` in interface `ShellLogHandler`
      Parameters:
        `ownerCls` -
        - the class which instantiated this ShellLogHandler.
        `process` -
        - the current `ShellProcess`.
        `context` -
        - the current `TopologyContext`.
      See Also:
        `ShellLogHandler#setUpContext}`

    - #### log

          public void log(ShellMsg shellMsg)

      Log the given message.

      Specified by:
        `log` in interface `ShellLogHandler`
      Parameters:
        `shellMsg` -
        - the `ShellMsg` to log.
      See Also:
        `ShellLogHandler#log}`

Copyright © 2019 The Apache Software Foundation. All rights reserved.